Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class SelectorName

    java.lang.Object
      org.modeshape.jcr.query.model.SelectorName

All Implemented Interfaces:
  Serializable, Readable

    @Immutable
    public class SelectorName

extends Object
implements Readable, Serializable

A representation of a qualified or expanded name.

See Also:
  Serialized Form

Constructor Summary
`SelectorName(String name)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getString()` Get the string representation of this query object.
`int` | `hashCode()`
`String` | `name()` The raw name of the selector.
`static Set<SelectorName>` | `nameSetFrom(SelectorName name)` Create a set that contains the supplied SelectName object.
`static Set<SelectorName>` | `nameSetFrom(SelectorName firstName, SelectorName... names)` Create a set that contains the supplied SelectName object.
`static Set<SelectorName>` | `nameSetFrom(Set<SelectorName> firstSet, Set<SelectorName> secondSet)` Create a set that contains the SelectName objects in the supplied sets.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectorName

    public SelectorName(String name)

Method Detail

### name

    public String name()

  The raw name of the selector.

  Returns:
    the raw name; never null and never empty

### getString

    public String getString()

  Description copied from interface: `Readable`
  Get the string representation of this query object.

  Specified by:
    `getString` in interface `Readable`
  Returns:
    the string representation; never null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### nameSetFrom

    public static Set<SelectorName> nameSetFrom(SelectorName name)

  Create a set that contains the supplied SelectName object.

  Parameters:
    `name` - the name to include in the set; may be null
  Returns:
    the set; never null

### nameSetFrom

    public static Set<SelectorName> nameSetFrom(SelectorName firstName,
                                                SelectorName... names)

  Create a set that contains the supplied SelectName object.

  Parameters:
    `firstName` - the first name; may be null
    `names` - the remaining names; may be null
  Returns:
    the set; never null

### nameSetFrom

    public static Set<SelectorName> nameSetFrom(Set<SelectorName> firstSet,
                                                Set<SelectorName> secondSet)

  Create a set that contains the SelectName objects in the supplied sets.

  Parameters:
    `firstSet` - the first set of names; may be null or empty
    `secondSet` - the second set of names; may be null or empty
  Returns:
    the set; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.